//https://github.com/mysensors/MySensors/blob/master/MyConfig.h

// Enable debug prints to serial monitor
#define MY_DEBUG
#define MY_DEBUG_VERBOSE_GATEWAY
#define MY_DEBUG_VERBOSE_RF24

// Enable and select radio type attached
#define MY_RADIO_RF24
//#define MY_RADIO_NRF5_ESB
//#define MY_RADIO_RFM69
//#define MY_RADIO_RFM95

// Set LOW transmit power level as default, if you have an amplified NRF-module and
// power your radio separately with a good regulator you can turn up PA level.
#define MY_RF24_PA_LEVEL RF24_PA_LOW

//#define MY_RF24_CE_PIN (12)
//#define MY_RF24_CS_PIN (13)
//#define MY_RF24_IRQ_PIN (5)


// Enable serial gateway
#define MY_GATEWAY_SERIAL

// Define a lower baud rate for Arduinos running on 8 MHz (Arduino Pro Mini 3.3V & SenseBender)
// #if F_CPU == 8000000L
// #define MY_BAUD_RATE 38400
// #endif

// Enable inclusion mode
#define MY_INCLUSION_MODE_FEATURE
// Enable Inclusion mode button on gateway
#define MY_INCLUSION_BUTTON_FEATURE

// Inverses behavior of inclusion button (if using external pullup)
//#define MY_INCLUSION_BUTTON_EXTERNAL_PULLUP

// Set inclusion mode duration (in seconds)
#define MY_INCLUSION_MODE_DURATION 180
// Digital pin used for inclusion mode button
#define MY_INCLUSION_MODE_BUTTON_PIN  3

// Set blinking period
#define MY_DEFAULT_LED_BLINK_PERIOD 300

// Inverses the behavior of leds
//#define MY_WITH_LEDS_BLINKING_INVERSE

// Flash leds on rx/tx/err
// Uncomment to override default HW configurations
#define MY_DEFAULT_ERR_LED_PIN 4  // Error led pin
#define MY_DEFAULT_RX_LED_PIN  6  // Receive led pin
#define MY_DEFAULT_TX_LED_PIN  5  // the PCB, on board LED

#define MY_RF24_CHANNEL 14

// signing
#define MY_SIGNING_SIMPLE_PASSWD "C@KptBi1L@5op?8!"

#include <MySensors.h>

void setup()
{
	// Setup locally attached sensors
	Serial.println('setup');
}

void presentation()
{
	Serial.println('presentation');
	// Present locally attached sensors
}

void loop()
{
	Serial.println('loop');
	// Send locally attached sensor data here
}
